|  | Home | Documentation | wsc.h File Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations
wsc.h File Reference
This graph shows which files directly or indirectly include this file:

## Classes
struct | wsc__SecurityContextTokenType
| "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":SecurityContextTokenType is a complexType. More...
struct | wsc__DerivedKeyTokenType
| "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":DerivedKeyTokenType is a complexType. More...
struct | wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence
union | wsc__DerivedKeyTokenType::__wsc__DerivedKeyTokenType_sequence::_wsc__union_DerivedKeyTokenType
struct | wsc__PropertiesType
| "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":PropertiesType is a complexType. More...

## Macros
#define | SOAP_NAMESPACE_OF_wsc "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512"

## Typedefs
typedef char * | wsc__FaultCodeOpenEnumType
| Imported element ""http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference" from typemap "WS/WS-typemap.dat". More...

## Enumerations
enum | wsc__FaultCodeType { wsc__BadContextToken, wsc__UnsupportedContextToken, wsc__UnknownDerivationSource, wsc__RenewNeeded, wsc__UnableToRenew }
| "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":FaultCodeType is a simpleType restriction of XSD type xs:QName. More...

## Macro Definition Documentation

#define SOAP_NAMESPACE_OF_wsc "http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512"

## Typedef Documentation

typedef char* wsc__FaultCodeOpenEnumType

Imported element ""http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference" from typemap "WS/WS-typemap.dat".

Union of values from member types "wsc:FaultCodeType xs:QName".

## Enumeration Type Documentation

enum wsc__FaultCodeType

"http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":FaultCodeType is a simpleType restriction of XSD type xs:QName.

Enumerator
wsc__BadContextToken | xs:QName value=""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":BadContextToken"
wsc__UnsupportedContextToken | xs:QName value=""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":UnsupportedContextToken"
wsc__UnknownDerivationSource | xs:QName value=""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":UnknownDerivationSource"
wsc__RenewNeeded | xs:QName value=""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":RenewNeeded"
wsc__UnableToRenew | xs:QName value=""http://docs.oasis-open.org/ws-sx/ws-secureconversation/200512":UnableToRenew"